Subject: [PATCH v3 1/3] clk: s2mps11: Add support for S2MPS14 clocks

From: [email-masked] (Mike Turquette)
Date: Wed, 19 Mar 2014 12:11:17 -0700

Quoting Krzysztof Kozlowski (2014-03-19 00:50:08)
> On Tue, 2014-03-18 at 17:16 -0700, Mike Turquette wrote:
> > Quoting Krzysztof Kozlowski (2014-03-17 02:19:16)
> > > This patch adds support for S2MPS14 PMIC clocks (BT and AP) to the
> > > s2mps11 clock driver.
> > > 
> > > Signed-off-by: Krzysztof Kozlowski <[email-masked]>
> > > Reviewed-by: Yadwinder Singh Brar <[email-masked]>
> > > Reviewed-by: Tomasz Figa <[email-masked]>
> > 
> > This does not apply cleanly to to clk tree trip, nor does it compile
> > after manually merging due to changes introducing
> > linux/mfd/samsung/s2mps14.h.
> > 
> > The changes look OK to me so maybe Lee can take it with my Ack?
> > 
> > Acked-by: Mike Turquette <[email-masked]>
> > 
> 
> Hi,
> 
> Thanks for the Ack. The patch depends on Tushar Behera's patches:
>  - [PATCH V2 0/2] Add support for clocks in S5M8767
>    http://thread.gmane.org/gmane.linux.kernel.samsung-soc/27264
> which are waiting for some time. Both patchsets should be pulled
> together.

I took those patches in yesterday. So we have three options:

1) MFD tree can pull a stable commit from the clk tree. I'm happy to
make a topic branch for this. Then these patches can be applied.

2) clk tree can pull a stable commit from the mfd tree if the mfd folks
can provide one.

3) Wait until after the merge window to apply this one to the clk tree.
I don't currently plan to send 2 PRs during the merge window, so this
could either go in 3.16 or maybe into 3.15 if a split PR is sent.

Regards,
Mike

> Best regards,
> Krzysztof